Aussteller-Governance-Anfrage erstellen
curl --request POST \
--url https://api.truthlocks.com/v1/governance/issuer-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evidence": "<unknown>",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"justification": "<string>",
"proposed_changes": "<unknown>",
"request_type": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
evidence: '<unknown>',
issuer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
justification: '<string>',
proposed_changes: '<unknown>',
request_type: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/governance/issuer-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/governance/issuer-requests"
payload = {
"evidence": "<unknown>",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"justification": "<string>",
"proposed_changes": "<unknown>",
"request_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/governance/issuer-requests"
payload := strings.NewReader("{\n \"evidence\": \"<unknown>\",\n \"issuer_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"justification\": \"<string>\",\n \"proposed_changes\": \"<unknown>\",\n \"request_type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Governance
Governance-Anfrage erstellen
Erstellt eine neue Governance-Anfrage für die Genehmigung/Änderung des Ausstellers.
POST
/
v1
/
governance
/
issuer-requests
Aussteller-Governance-Anfrage erstellen
curl --request POST \
--url https://api.truthlocks.com/v1/governance/issuer-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evidence": "<unknown>",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"justification": "<string>",
"proposed_changes": "<unknown>",
"request_type": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
evidence: '<unknown>',
issuer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
justification: '<string>',
proposed_changes: '<unknown>',
request_type: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/governance/issuer-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/governance/issuer-requests"
payload = {
"evidence": "<unknown>",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"justification": "<string>",
"proposed_changes": "<unknown>",
"request_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/governance/issuer-requests"
payload := strings.NewReader("{\n \"evidence\": \"<unknown>\",\n \"issuer_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"justification\": \"<string>\",\n \"proposed_changes\": \"<unknown>\",\n \"request_type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Erstellt eine Ausstellerwechselanfrage zur späteren Überprüfung. Authentifizieren Sie sich als Benutzer mit
GOVERNANCE_ADMIN oder TENANT_ADMIN; ein API-Schlüssel allein liefert nicht die erforderliche Benutzeridentität.
Verwenden Sie request_type, issuer_id, justification, proposed_changes und optional evidence. Die alten Namen type, target_issuer_id und reason sind nicht dieser Anforderungsvertrag. Der Server weist die Anforderungsidentität, den Arbeitsbereich, den Anforderer, den Status und die Genehmigungsanzahl zu. Das Erstellen einer Anforderung führt sie nicht aus oder umgeht erforderliche Genehmigungen.Body
application/json

